package de.ivu.elect.business.konfiguration.control;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.UUID;

import de.ivu.elect.business.konfiguration.entity.ElectKonfigurationWerte;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;

public class SystemKonfigurationInit extends AbstractKonfigurationInit {

  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    List<Konfiguration> result = new ArrayList<>();
    add(result, ElectKonfigurationWerte.SYSTEM_ID, getSystemId());
    add(result, ElectKonfigurationWerte.LOGIN_SERVICE_ADMIN_SPERREN, true);
    return result;
  }

  protected String getSystemId() {
    return UUID.randomUUID().toString();
  }
}
